#ifndef MapViewManager_h
#define MapViewManager_h

class MapFrame;

class MapViewManager {
public:
        virtual ~MapViewManager();
        
        static MapViewManager* GetInstance() {
                if (!_instance)
                        _instance=new MapViewManager();
                return _instance;
        }
        
        MapFrame* GetActiveView() const { return _activeView; }
        
        void ActivateView(MapFrame* view);
        void DeactivateView(MapFrame* view);
protected:
	MapViewManager();
        
        static MapViewManager* _instance;
        
        MapFrame *_activeView;
};

#endif

