#ifndef ObjectPlacementMode_h
#define ObjectPlacementMode_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Map/Mode.h>

#include <Main/MapObjectPlacer.h>

class ObjectPlacementMode : public Mode {
        
        DECLARE_CLASS(ObjectPlacementMode)
        
public:
	ObjectPlacementMode(MapObjectPlacer* placer);
        virtual ~ObjectPlacementMode();
        
        /* Get a string for the status bar. */
	virtual wxString GetStatus();
        
        void OnLeftDown(wxMouseEvent& evt);
private:
        DECLARE_EVENT_TABLE()
        
        MapObjectPlacer* _placer;
};

#endif


