#ifndef BeaconMapObjectPlacer_h
#define BeaconMapObjectPlacer_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include "Airport.h"

#include <Main/MapObjectPlacer.h>

class BeaconMapObjectPlacer: public MapObjectPlacer {
        
        DECLARE_CLASS(BeaconMapObjectPlacer)
        
public:
        BeaconMapObjectPlacer(Airport::SmartRef airport);
        virtual ~BeaconMapObjectPlacer();

        virtual MapObject* PlaceObject(Point3D position);
protected:
        Airport::SmartRef _airport;
};

#endif

