#if HAVE_CONFIG_H
#  include <config.h>
#endif /* HAVE_CONFIG_H */

#include "TowerMapObject.h"

#include "TowerSelection.h"

IMPLEMENT_CLASS(TowerMapObject,PointMapObject)

static wxPen BluePen=wxPen(wxColour(0,0,255),1,wxSOLID);
static wxBrush BlueBrush=wxBrush(wxColour(0,0,255),wxSOLID);

TowerMapObject::TowerMapObject(TransactionManager* transactionManager,
                               Point3D position,
                               float height,
                               bool drawTower,
                               wxString name):
        PointMapObject(transactionManager, position,BluePen,BluePen,BlueBrush)
{
                TRANSACTIONOBJECT_STATEVAR(_height)=height;
                TRANSACTIONOBJECT_STATEVAR(_drawTower)=drawTower;
                TRANSACTIONOBJECT_STATEVAR(_name)=name;
}

MapSelection* TowerMapObject::CreateSelection(MapSelectionManager* manager) {
        return new TowerSelection(manager,this);
}

