#if HAVE_CONFIG_H
#  include <config.h>
#endif /* HAVE_CONFIG_H */

#include "WindsockMapObject.h"

#include "WindsockSelection.h"

IMPLEMENT_CLASS(WindsockMapObject,PointMapObject)

static wxPen RedPen=wxPen(wxColour(255,0,0),1,wxSOLID);
static wxBrush RedBrush=wxBrush(wxColour(255,0,0),wxSOLID);

WindsockMapObject::WindsockMapObject(TransactionManager* transactionManager,
                                     Point3D position,
                                     bool isLighted,
                                     wxString name):
        PointMapObject(transactionManager, position,RedPen,RedPen,RedBrush)
{
                TRANSACTIONOBJECT_STATEVAR(_isLighted)=isLighted;
                TRANSACTIONOBJECT_STATEVAR(_name)=name;
}

MapSelection* WindsockMapObject::CreateSelection(MapSelectionManager* manager) {
        return new WindsockSelection(manager,this);
}

