#ifndef MapObjectPlacer_h
#define MapObjectPlacer_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Math/point3d.h>

class MapObject;

class MapObjectPlacer: public wxObject {
        
        DECLARE_ABSTRACT_CLASS(MapObjectPlacer)
        
public:
        virtual ~MapObjectPlacer();
        
        virtual MapObject* PlaceObject(Point3D position)=0;
};

#endif

