#ifndef ProjectWizardOpenProjectPage_h
#define ProjectWizardOpenProjectPage_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <wx/wizard.h>

class ProjectWizardOpenProjectPage: public wxWizardPageSimple {

        DECLARE_CLASS(ProjectWizardOpenProjectPage)

public:
	ProjectWizardOpenProjectPage(wxWizard* parent,
                     wxWizardPage* prev = NULL,
                     wxWizardPage* next = NULL,
                     const wxBitmap& bitmap = wxNullBitmap,
                     const wxChar *resource = NULL);
        virtual ~ProjectWizardOpenProjectPage();

        virtual bool TransferDataToWindow();
        void OnPageChanging(wxWizardEvent& evt);

        void OnBrowse(wxCommandEvent& evt);
        void OnSelectRecent(wxCommandEvent& evt);
protected:
        DECLARE_EVENT_TABLE()

        wxTextCtrl* _fileName;
        wxListBox* _recentFiles;

};

#endif

